Package ghidra.features.bsim.gui.search.dialog

# Class BSimOverviewDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog
ghidra.features.bsim.gui.search.dialog.BSimOverviewDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class BSimOverviewDialog extends AbstractBSimSearchDialog
Dialog for initiating a BSim overview query.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `AbstractBSimSearchDialog.BSimQueryTask`

- ## Field Summary

  ### Fields inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `confidenceField, searchService, serverCache, similarityField, tool`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimOverviewDialog(PluginTool tool, BSimSearchService service, BSimServerManager serverManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Program`
  `getProgram()`
  `protected BSimSearchSettings`
  `getSearchSettings()`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.

  ### Methods inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `buildCenterPanel, buildOptionsPanel, buildServerPanel, canQuery, createTitledPanel, dispose, getDatabaseInformation, getServer, initializeSettings, setServer, setServerCache, updateSearchEnablement`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BSimOverviewDialog

    public BSimOverviewDialog(PluginTool tool, BSimSearchService service, BSimServerManager serverManager)

- ## Method Details

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### getSearchSettings

    protected BSimSearchSettings getSearchSettings()

  - ### getProgram

    public Program getProgram()